AttributePrioDefinitions (CMDB Model API)
Keywords: com.collation.platform.model.attributeprio.AttributePrioDefinitions interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.attributeprio
Interface AttributePrioDefinitions

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface AttributePrioDefinitions

extends ModelObject

Naming Rules:
  0="prioClassName,prioAttributeName"
Persistable:
  true
Table Name:
  ATTRPRIODEF
Display Name:
  prioClassName,prioAttributeName

Method Summary
`java.lang.String` | `getPrioAttributeName()`
`java.lang.String` | `getPrioClassName()`
`java.lang.String` | `getPriorityString()`
`boolean` | `hasPrioAttributeName()`
`boolean` | `hasPrioClassName()`
`boolean` | `hasPriorityString()`
`void` | `setPrioAttributeName(java.lang.String prioAttributeName)`
`void` | `setPrioClassName(java.lang.String prioClassName)`
`void` | `setPriorityString(java.lang.String prioString)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getPrioClassName

    java.lang.String getPrioClassName()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPrioClassName

    void setPrioClassName(java.lang.String prioClassName)

### hasPrioClassName

    boolean hasPrioClassName()

### getPrioAttributeName

    java.lang.String getPrioAttributeName()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPrioAttributeName

    void setPrioAttributeName(java.lang.String prioAttributeName)

### hasPrioAttributeName

    boolean hasPrioAttributeName()

### getPriorityString

    java.lang.String getPriorityString()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPriorityString

    void setPriorityString(java.lang.String prioString)

### hasPriorityString

    boolean hasPriorityString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD